package com.ruoyi.mingxue.service;

import java.util.List;
import com.ruoyi.mingxue.domain.MxjbOperationManual;

/**
 * 操作手册Service接口
 * 
 * @author mingxue
 * @date 2022-08-30
 */
public interface IMxjbOperationManualService 
{
    /**
     * 查询操作手册
     * 
     * @param id 操作手册ID
     * @return 操作手册
     */
    public MxjbOperationManual selectMxjbOperationManualById(Long id);
    public MxjbOperationManual selectMxjbOperationManualByNameType(String nameType);
    public List<MxjbOperationManual> buildTree(List<MxjbOperationManual> operationManuals);
    /**
     * 查询操作手册列表
     * 
     * @param mxjbOperationManual 操作手册
     * @return 操作手册集合
     */
    public List<MxjbOperationManual> selectMxjbOperationManualList(MxjbOperationManual mxjbOperationManual);
    public List<MxjbOperationManual> selectMxjbOperationManualAndChildren(MxjbOperationManual mxjbOperationManual);

    /**
     * 新增操作手册
     * 
     * @param mxjbOperationManual 操作手册
     * @return 结果
     */
    public int insertMxjbOperationManual(MxjbOperationManual mxjbOperationManual);

    /**
     * 修改操作手册
     * 
     * @param mxjbOperationManual 操作手册
     * @return 结果
     */
    public int updateMxjbOperationManual(MxjbOperationManual mxjbOperationManual);

    /**
     * 批量删除操作手册
     * 
     * @param ids 需要删除的操作手册ID
     * @return 结果
     */
    public int deleteMxjbOperationManualByIds(Long[] ids);

    /**
     * 删除操作手册信息
     * 
     * @param id 操作手册ID
     * @return 结果
     */
    public int deleteMxjbOperationManualById(Long id);
}
